<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

TODO: Put a short description of the package here that helps potential users know whether this
package might be useful for them.

## Author

TODO: Pragnesh

## Get started

To get started with Native Ads for
Flutter, [read the documentation](https://github.com/bdlukaa/native_admob_flutter/wiki)

✔️ Native Ads Android\
✔️ Native Ads IOS\
✔️ Native Ads Banner\
✔️ Native Ads Full

### [Supported platforms](https://github.com/bdlukaa/native_admob_flutter/wiki/Platform-setup)

AdMOB only supports ads on mobile. Web and desktop are out of reach

✔️ Android\
✔️ iOS


## Getting started

TODO: List prerequisites and provide or point to information on how to start using the package.

## Getting started

TODO: Add this to your package's pubspec.yaml file:

```dart
dependencies:
    native_ads_flutter: "<LATEST_VERSION>"
```

TODO: Install it - You can install packages from the command line:

```dart
flutter pub get
```
## Android Specific Setup

# Update your AndroidManifest.xml app ads id

```dart
Android: ca-app-pub-3940256099942544~3347511713
iOS: ca-app-pub-3940256099942544~1458002511
```
```dart
<manifest>
  <application>
    <meta-data
        android:name="com.google.android.gms.ads.APPLICATION_ID"
        android:value="ca-app-pub-3940256099942544~3347511713"/>
    </application>
</manifest>
```

# iOS Specific Setup

TODO: Update your Info.plist per Firebase instructions.

```dart
<key>GADApplicationIdentifier</key>
<string>ca-app-pub-3940256099942544~1458002511</string>
```

```dart
<key>io.flutter.embedded_views_preview</key>
<true/>
```


TODO Using Controller

```dart
final _controller = NativeAdmobController();
```


## Show Native Ad


```dart
Container(
  height: 330,
NativeAdmob(
    adUnitID: "<Your ad unit ID>",
    loading: Center(child: CircularProgressIndicator()),
    error: Text("Failed to load the ad"),
    controller: _controller,
    type: NativeAdmobType.full,
    options: NativeAdmobOptions(
    ratingColor: Colors.green,
// Others ...
    ),
  )
)
```
